import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    user:''
  },
  mutations: {
    setUser(state,user){
      state.user = { ... user};
      sessionStorage.setItem('user',JSON.stringify(user));
    }
  },
  getters : {
    user(state) {
      return state.user || JSON.parse(sessionStorage.getItem("user"))
    }
  },
  actions: {
  },
  modules: {
  }
})
